using System.Text.Json.Serialization;

namespace Expose.MyIT.Shared.Models;

public record Booking(
        [property: JsonPropertyName("Catalog")] Catalog Catalog,
        [property: JsonPropertyName("Name")] string Name,
        [property: JsonPropertyName("Description")] string Description,
        [property: JsonPropertyName("PaymentMethod")] int PaymentMethod,
        [property: JsonPropertyName("Service")] Service Service,
        [property: JsonPropertyName("Order")] Order Order,
        [property: JsonPropertyName("ApprovalStatus")] int ApprovalStatus,
        [property: JsonPropertyName("AllowedActions")] AllowedActions AllowedActions,
        [property: JsonPropertyName("ObjectId")] string ObjectId,
        [property: JsonPropertyName("Id")] string Id,
        [property: JsonPropertyName("Quantity")] int Quantity,
        [property: JsonPropertyName("AdditionalData")] AdditionalData AdditionalData
    );