namespace Expose.MyIT.Shared.Models.Stateless;

public interface IClientSettingsController<T>
{

    enum Action : int
    {
        Client = 0,
        IP = 1
    }

    static string GetRouteName() => nameof(IClientSettingsController<T>)[1..^10];
    T GetClientSettings();
    T GetIpAddress();

}