namespace Expose.MyIT.Shared.Models.Stateless;

internal abstract class ServiceShopOrder
{

    internal static ViewModels.ServiceShopOrder[] GetServiceShopOrders(ServiceShop? serviceShop)
    {
        ViewModels.ServiceShopOrder[] results;
        if (serviceShop is null || !serviceShop.Orders.Any())
            results = Array.Empty<ViewModels.ServiceShopOrder>();
        else
            results = serviceShop.Orders.Select(l => new ViewModels.ServiceShopOrder(l)).ToArray();
        return results;
    }

}