namespace Expose.MyIT.Shared.Models.Stateless;

internal abstract class SsaOrder
{

    internal static ViewModels.SsaOrder[] GetSsaOrders(Ssa? ssa)
    {
        ViewModels.SsaOrder[] results;
        if (ssa is null || !ssa.Orders.Any())
            results = Array.Empty<ViewModels.SsaOrder>();
        else
            results = ssa.Orders.Select(l => new ViewModels.SsaOrder(l)).ToArray();
        return results;
    }

}