using Expose.MyIT.Shared.Models.Stateless;
using Microsoft.AspNetCore.Mvc;

namespace Expose.MyIT.Server.Controllers;

[ApiController]
[Route("api/[controller]")]
public class AppSettingsController : ControllerBase, IAppSettingsController<ActionResult>
{

    private readonly IAppSettingsRepository _AppSettingsRepository;

    public AppSettingsController(IAppSettingsRepository AppSettingsRepository) => _AppSettingsRepository = AppSettingsRepository;

    [HttpGet(nameof(IAppSettingsController<ActionResult>.Action.App))]
    public ActionResult GetAppSettings()
    {
        List<string> results = _AppSettingsRepository.GetAppSettings();
        return Ok(results);
    }

}