using System.Text.Json;

namespace Expose.MyIT.Server.Models;

public record AppSettings(string BuildNumber,
                       string Company,
                       string ConnectionString,
                       string GitCommitSeven,
                       bool IsDevelopment,
                       bool IsStaging,
                       string MonAResource,
                       string MonASite,
                       string Urls,
                       string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}