using System.Text.Json.Serialization;

namespace Expose.MyIT.Shared.Models;

public record Service(
        [property: JsonPropertyName("Id")] string Id,
        [property: JsonPropertyName("Quantity")] int Quantity,
        [property: JsonPropertyName("PaymentMethod")] int PaymentMethod,
        [property: JsonPropertyName("Price")] Price Price,
        [property: JsonPropertyName("ObjectId")] string ObjectId,
        [property: JsonPropertyName("ConfigurationItemType")] int ConfigurationItemType,
        [property: JsonPropertyName("ConfigurationItemTypeName")] string ConfigurationItemTypeName,
        [property: JsonPropertyName("ServiceType")] int ServiceType,
        [property: JsonPropertyName("CustomFormEntityId")] string CustomFormEntityId,
        [property: JsonPropertyName("CustomFormEntityName")] string CustomFormEntityName,
        [property: JsonPropertyName("CreateMultipleBookings")] bool CreateMultipleBookings,
        [property: JsonPropertyName("AllowIdenticalInstances")] bool AllowIdenticalInstances,
        [property: JsonPropertyName("Catalog")] Catalog Catalog,
        [property: JsonPropertyName("UninstallationMode")] int? UninstallationMode
    );